RedHat: RHSA-2023-0261:01 Critical: Satellite 6.12.1 Async Security...
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Critical: Satellite 6.12.1 Async Security Update
Advisory ID:       RHSA-2023:0261-02
Product:           Red Hat Satellite 6
Advisory URL:      https://access.redhat.com/errata/RHSA-2023:0261
Issue date:        2023-01-18
CVE Names:         CVE-2022-32224 CVE-2022-42889 
=====================================================================

1. Summary:

Updated Satellite 6.12 packages that fixes critical security bugs and
several regular bugs are now available for Red Hat Satellite.

2. Relevant releases/architectures:

Red Hat Satellite 6.12 for RHEL 8 - noarch

3. Description:

Red Hat Satellite is a system management solution that allows organizations
to configure and maintain their systems without the necessity to provide
public Internet access to their servers or other client systems. It
performs provisioning and configuration management of predefined standard
operating environments.

Security fix(es):
tfm-rubygem-activerecord: activerecord: Possible RCE escalation bug with
Serialized Columns in Active Record (CVE-2022-32224)
candlepin: apache-commons-text: variable interpolation RCE (CVE-2022-42889)

This update fixes the following bugs:
2082209 - Another deadlock issue when syncing repos with high concurrency
2141308 - It appears that the egg is downloaded every time
2150069 - With every edit of an exising webhook, the value in password
field disappears in Satellite 6.10/6.11/6.12
2150108 - Satellite-clone not working if ansible-core 2.13 is installed
2150111 - Insights recommendation sync failing in Satelliite
2150112 - Random failure of Inventory Sync
2150114 - Insights-client --register --verbose throwing error
UnicodeEncodeError: 'ascii' codec can't encode character '\ufffd' in
position 94: ordinal not in range(128)
2150118 - Error "no certificate or crl found" when using a http proxy as
"Default Http Proxy" for content syncing or manifest operations in
Satellite 6.12
2150119 - Content view publish fails when the content view and repository
both have a large name with : Error message: the server returns an error
HTTP status code: 500
2150123 = Inspecting an image with skopeo no longer works on Capsules
2150125 - Syncable exports across partitions causes ' Invalid cross-device
link' error
2150120 - Upgrade to Satellite 6.12 may fail to apply
RemoveDrpmFromIgnorableContent migration if erratum is also a ignorable
content type for any repo

Users of Red Hat Satellite are advised to upgrade to these updated
packages, which fix these bugs.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

For details on how to apply this update, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

2082209 - Another deadlock issue when syncing repos with high concurrency
2108997 - CVE-2022-32224 activerecord: Possible RCE escalation bug with Serialized Columns in Active Record
2135435 - CVE-2022-42889 apache-commons-text: variable interpolation RCE
2141308 - It appears that the egg is downloaded every time
2150069 - With every edit of an exising webhook, the value in password field disappears in Satellite 6.10/6.11/6.12
2150108 - Satellite-clone not working if ansible-core 2.13 is installed
2150111 - Insights recommendation sync failing in Satelliite
2150112 - random failure of Inventory Sync
2150114 - insights-client --register --verbose throwing error UnicodeEncodeError: 'ascii' codec can't encode character '\ufffd' in position 94: ordinal not in range(128)
2150118 - Error "no certificate or crl found" when using a http proxy as "Default Http Proxy" for content syncing or manifest operations in Satellite 6.12
2150119 - Content view publish fails when the content view and repository both have a large name with : Error message: the server returns an error HTTP status code: 500
2150120 - Upgrade to Satellite 6.12 may fail to apply RemoveDrpmFromIgnorableContent migration if erratum is also a ignorable content type for any repo
2150123 - Inspecting an image with skopeo no longer works on Capsules
2150125 - Syncable exports across partitions causes ' Invalid cross-device link' error

6. Package List:

Red Hat Satellite 6.12 for RHEL 8:

Source:
candlepin-4.1.18-1.el8sat.src.rpm
foreman-3.3.0.18-1.el8sat.src.rpm
python-pulp-container-2.10.10-1.el8pc.src.rpm
python-pulp-rpm-3.18.9-1.el8pc.src.rpm
python-pulpcore-3.18.11-1.el8pc.src.rpm
rubygem-actioncable-6.0.6-2.el8sat.src.rpm
rubygem-actionmailbox-6.0.6-2.el8sat.src.rpm
rubygem-actionmailer-6.0.6-2.el8sat.src.rpm
rubygem-actionpack-6.0.6-2.el8sat.src.rpm
rubygem-actiontext-6.0.6-2.el8sat.src.rpm
rubygem-actionview-6.0.6-2.el8sat.src.rpm
rubygem-activejob-6.0.6-2.el8sat.src.rpm
rubygem-activemodel-6.0.6-2.el8sat.src.rpm
rubygem-activerecord-6.0.6-2.el8sat.src.rpm
rubygem-activestorage-6.0.6-2.el8sat.src.rpm
rubygem-activesupport-6.0.6-1.el8sat.src.rpm
rubygem-foreman_rh_cloud-6.0.44-1.el8sat.src.rpm
rubygem-foreman_webhooks-3.0.5-1.1.el8sat.src.rpm
rubygem-katello-4.5.0.22-1.el8sat.src.rpm
rubygem-rails-6.0.6-2.el8sat.src.rpm
rubygem-railties-6.0.6-2.el8sat.src.rpm
rubygem-smart_proxy_container_gateway-1.0.7-1.el8sat.src.rpm
satellite-6.12.1-1.el8sat.src.rpm

noarch:
candlepin-4.1.18-1.el8sat.noarch.rpm
candlepin-selinux-4.1.18-1.el8sat.noarch.rpm
foreman-3.3.0.18-1.el8sat.noarch.rpm
foreman-cli-3.3.0.18-1.el8sat.noarch.rpm
foreman-debug-3.3.0.18-1.el8sat.noarch.rpm
foreman-dynflow-sidekiq-3.3.0.18-1.el8sat.noarch.rpm
foreman-ec2-3.3.0.18-1.el8sat.noarch.rpm
foreman-gce-3.3.0.18-1.el8sat.noarch.rpm
foreman-journald-3.3.0.18-1.el8sat.noarch.rpm
foreman-libvirt-3.3.0.18-1.el8sat.noarch.rpm
foreman-openstack-3.3.0.18-1.el8sat.noarch.rpm
foreman-ovirt-3.3.0.18-1.el8sat.noarch.rpm
foreman-postgresql-3.3.0.18-1.el8sat.noarch.rpm
foreman-service-3.3.0.18-1.el8sat.noarch.rpm
foreman-telemetry-3.3.0.18-1.el8sat.noarch.rpm
foreman-vmware-3.3.0.18-1.el8sat.noarch.rpm
python39-pulp-container-2.10.10-1.el8pc.noarch.rpm
python39-pulp-rpm-3.18.9-1.el8pc.noarch.rpm
python39-pulpcore-3.18.11-1.el8pc.noarch.rpm
rubygem-actioncable-6.0.6-2.el8sat.noarch.rpm
rubygem-actionmailbox-6.0.6-2.el8sat.noarch.rpm
rubygem-actionmailer-6.0.6-2.el8sat.noarch.rpm
rubygem-actionpack-6.0.6-2.el8sat.noarch.rpm
rubygem-actiontext-6.0.6-2.el8sat.noarch.rpm
rubygem-actionview-6.0.6-2.el8sat.noarch.rpm
rubygem-activejob-6.0.6-2.el8sat.noarch.rpm
rubygem-activemodel-6.0.6-2.el8sat.noarch.rpm
rubygem-activerecord-6.0.6-2.el8sat.noarch.rpm
rubygem-activestorage-6.0.6-2.el8sat.noarch.rpm
rubygem-activesupport-6.0.6-1.el8sat.noarch.rpm
rubygem-foreman_rh_cloud-6.0.44-1.el8sat.noarch.rpm
rubygem-foreman_webhooks-3.0.5-1.1.el8sat.noarch.rpm
rubygem-katello-4.5.0.22-1.el8sat.noarch.rpm
rubygem-rails-6.0.6-2.el8sat.noarch.rpm
rubygem-railties-6.0.6-2.el8sat.noarch.rpm
rubygem-smart_proxy_container_gateway-1.0.7-1.el8sat.noarch.rpm
satellite-6.12.1-1.el8sat.noarch.rpm
satellite-cli-6.12.1-1.el8sat.noarch.rpm
satellite-common-6.12.1-1.el8sat.noarch.rpm

Red Hat Satellite 6.12 for RHEL 8:

Source:
foreman-3.3.0.18-1.el8sat.src.rpm
python-pulp-container-2.10.10-1.el8pc.src.rpm
python-pulp-rpm-3.18.9-1.el8pc.src.rpm
python-pulpcore-3.18.11-1.el8pc.src.rpm
rubygem-smart_proxy_container_gateway-1.0.7-1.el8sat.src.rpm
satellite-6.12.1-1.el8sat.src.rpm

noarch:
foreman-debug-3.3.0.18-1.el8sat.noarch.rpm
python39-pulp-container-2.10.10-1.el8pc.noarch.rpm
python39-pulp-rpm-3.18.9-1.el8pc.noarch.rpm
python39-pulpcore-3.18.11-1.el8pc.noarch.rpm
rubygem-smart_proxy_container_gateway-1.0.7-1.el8sat.noarch.rpm
satellite-capsule-6.12.1-1.el8sat.noarch.rpm
satellite-common-6.12.1-1.el8sat.noarch.rpm

Red Hat Satellite 6.12 for RHEL 8:

Source:
satellite-clone-3.2.0-2.el8sat.src.rpm

noarch:
satellite-clone-3.2.0-2.el8sat.noarch.rpm

Red Hat Satellite 6.12 for RHEL 8:

Source:
foreman-3.3.0.18-1.el8sat.src.rpm
satellite-6.12.1-1.el8sat.src.rpm

noarch:
foreman-cli-3.3.0.18-1.el8sat.noarch.rpm
satellite-cli-6.12.1-1.el8sat.noarch.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2022-32224
https://access.redhat.com/security/cve/CVE-2022-42889
https://access.redhat.com/security/updates/classification/#critical

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2023 Red Hat, Inc.
--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce

RedHat: RHSA-2023-0261:01 Critical: Satellite 6.12.1 Async Security Update

Updated Satellite 6.12 packages that fixes critical security bugs and several regular bugs are now available for Red Hat Satellite

Summary

Red Hat Satellite is a system management solution that allows organizations to configure and maintain their systems without the necessity to provide public Internet access to their servers or other client systems. It performs provisioning and configuration management of predefined standard operating environments.
Security fix(es): tfm-rubygem-activerecord: activerecord: Possible RCE escalation bug with Serialized Columns in Active Record (CVE-2022-32224) candlepin: apache-commons-text: variable interpolation RCE (CVE-2022-42889)
This update fixes the following bugs: 2082209 - Another deadlock issue when syncing repos with high concurrency 2141308 - It appears that the egg is downloaded every time 2150069 - With every edit of an exising webhook, the value in password field disappears in Satellite 6.10/6.11/6.12 2150108 - Satellite-clone not working if ansible-core 2.13 is installed 2150111 - Insights recommendation sync failing in Satelliite 2150112 - Random failure of Inventory Sync 2150114 - Insights-client --register --verbose throwing error UnicodeEncodeError: 'ascii' codec can't encode character '\ufffd' in position 94: ordinal not in range(128) 2150118 - Error "no certificate or crl found" when using a http proxy as "Default Http Proxy" for content syncing or manifest operations in Satellite 6.12 2150119 - Content view publish fails when the content view and repository both have a large name with : Error message: the server returns an error HTTP status code: 500 2150123 = Inspecting an image with skopeo no longer works on Capsules 2150125 - Syncable exports across partitions causes ' Invalid cross-device link' error 2150120 - Upgrade to Satellite 6.12 may fail to apply RemoveDrpmFromIgnorableContent migration if erratum is also a ignorable content type for any repo
Users of Red Hat Satellite are advised to upgrade to these updated packages, which fix these bugs.

Solution

Before applying this update, make sure all previously released erratarelevant to your system have been applied.For details on how to apply this update, refer to:https://access.redhat.com/articles/11258

References

https://access.redhat.com/security/cve/CVE-2022-32224 https://access.redhat.com/security/cve/CVE-2022-42889 https://access.redhat.com/security/updates/classification/#critical

Package List

Red Hat Satellite 6.12 for RHEL 8:
Source: candlepin-4.1.18-1.el8sat.src.rpm foreman-3.3.0.18-1.el8sat.src.rpm python-pulp-container-2.10.10-1.el8pc.src.rpm python-pulp-rpm-3.18.9-1.el8pc.src.rpm python-pulpcore-3.18.11-1.el8pc.src.rpm rubygem-actioncable-6.0.6-2.el8sat.src.rpm rubygem-actionmailbox-6.0.6-2.el8sat.src.rpm rubygem-actionmailer-6.0.6-2.el8sat.src.rpm rubygem-actionpack-6.0.6-2.el8sat.src.rpm rubygem-actiontext-6.0.6-2.el8sat.src.rpm rubygem-actionview-6.0.6-2.el8sat.src.rpm rubygem-activejob-6.0.6-2.el8sat.src.rpm rubygem-activemodel-6.0.6-2.el8sat.src.rpm rubygem-activerecord-6.0.6-2.el8sat.src.rpm rubygem-activestorage-6.0.6-2.el8sat.src.rpm rubygem-activesupport-6.0.6-1.el8sat.src.rpm rubygem-foreman_rh_cloud-6.0.44-1.el8sat.src.rpm rubygem-foreman_webhooks-3.0.5-1.1.el8sat.src.rpm rubygem-katello-4.5.0.22-1.el8sat.src.rpm rubygem-rails-6.0.6-2.el8sat.src.rpm rubygem-railties-6.0.6-2.el8sat.src.rpm rubygem-smart_proxy_container_gateway-1.0.7-1.el8sat.src.rpm satellite-6.12.1-1.el8sat.src.rpm
noarch: candlepin-4.1.18-1.el8sat.noarch.rpm candlepin-selinux-4.1.18-1.el8sat.noarch.rpm foreman-3.3.0.18-1.el8sat.noarch.rpm foreman-cli-3.3.0.18-1.el8sat.noarch.rpm foreman-debug-3.3.0.18-1.el8sat.noarch.rpm foreman-dynflow-sidekiq-3.3.0.18-1.el8sat.noarch.rpm foreman-ec2-3.3.0.18-1.el8sat.noarch.rpm foreman-gce-3.3.0.18-1.el8sat.noarch.rpm foreman-journald-3.3.0.18-1.el8sat.noarch.rpm foreman-libvirt-3.3.0.18-1.el8sat.noarch.rpm foreman-openstack-3.3.0.18-1.el8sat.noarch.rpm foreman-ovirt-3.3.0.18-1.el8sat.noarch.rpm foreman-postgresql-3.3.0.18-1.el8sat.noarch.rpm foreman-service-3.3.0.18-1.el8sat.noarch.rpm foreman-telemetry-3.3.0.18-1.el8sat.noarch.rpm foreman-vmware-3.3.0.18-1.el8sat.noarch.rpm python39-pulp-container-2.10.10-1.el8pc.noarch.rpm python39-pulp-rpm-3.18.9-1.el8pc.noarch.rpm python39-pulpcore-3.18.11-1.el8pc.noarch.rpm rubygem-actioncable-6.0.6-2.el8sat.noarch.rpm rubygem-actionmailbox-6.0.6-2.el8sat.noarch.rpm rubygem-actionmailer-6.0.6-2.el8sat.noarch.rpm rubygem-actionpack-6.0.6-2.el8sat.noarch.rpm rubygem-actiontext-6.0.6-2.el8sat.noarch.rpm rubygem-actionview-6.0.6-2.el8sat.noarch.rpm rubygem-activejob-6.0.6-2.el8sat.noarch.rpm rubygem-activemodel-6.0.6-2.el8sat.noarch.rpm rubygem-activerecord-6.0.6-2.el8sat.noarch.rpm rubygem-activestorage-6.0.6-2.el8sat.noarch.rpm rubygem-activesupport-6.0.6-1.el8sat.noarch.rpm rubygem-foreman_rh_cloud-6.0.44-1.el8sat.noarch.rpm rubygem-foreman_webhooks-3.0.5-1.1.el8sat.noarch.rpm rubygem-katello-4.5.0.22-1.el8sat.noarch.rpm rubygem-rails-6.0.6-2.el8sat.noarch.rpm rubygem-railties-6.0.6-2.el8sat.noarch.rpm rubygem-smart_proxy_container_gateway-1.0.7-1.el8sat.noarch.rpm satellite-6.12.1-1.el8sat.noarch.rpm satellite-cli-6.12.1-1.el8sat.noarch.rpm satellite-common-6.12.1-1.el8sat.noarch.rpm
Red Hat Satellite 6.12 for RHEL 8:
Source: foreman-3.3.0.18-1.el8sat.src.rpm python-pulp-container-2.10.10-1.el8pc.src.rpm python-pulp-rpm-3.18.9-1.el8pc.src.rpm python-pulpcore-3.18.11-1.el8pc.src.rpm rubygem-smart_proxy_container_gateway-1.0.7-1.el8sat.src.rpm satellite-6.12.1-1.el8sat.src.rpm
noarch: foreman-debug-3.3.0.18-1.el8sat.noarch.rpm python39-pulp-container-2.10.10-1.el8pc.noarch.rpm python39-pulp-rpm-3.18.9-1.el8pc.noarch.rpm python39-pulpcore-3.18.11-1.el8pc.noarch.rpm rubygem-smart_proxy_container_gateway-1.0.7-1.el8sat.noarch.rpm satellite-capsule-6.12.1-1.el8sat.noarch.rpm satellite-common-6.12.1-1.el8sat.noarch.rpm
Red Hat Satellite 6.12 for RHEL 8:
Source: satellite-clone-3.2.0-2.el8sat.src.rpm
noarch: satellite-clone-3.2.0-2.el8sat.noarch.rpm
Red Hat Satellite 6.12 for RHEL 8:
Source: foreman-3.3.0.18-1.el8sat.src.rpm satellite-6.12.1-1.el8sat.src.rpm
noarch: foreman-cli-3.3.0.18-1.el8sat.noarch.rpm satellite-cli-6.12.1-1.el8sat.noarch.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://access.redhat.com/security/team/key/

Severity
Advisory ID: RHSA-2023:0261-02
Product: Red Hat Satellite 6
Advisory URL: https://access.redhat.com/errata/RHSA-2023:0261
Issued Date: : 2023-01-18
CVE Names: CVE-2022-32224 CVE-2022-42889

Topic

Updated Satellite 6.12 packages that fixes critical security bugs andseveral regular bugs are now available for Red Hat Satellite.

Relevant Releases Architectures

Red Hat Satellite 6.12 for RHEL 8 - noarch

Bugs Fixed

2082209 - Another deadlock issue when syncing repos with high concurrency

2108997 - CVE-2022-32224 activerecord: Possible RCE escalation bug with Serialized Columns in Active Record

2135435 - CVE-2022-42889 apache-commons-text: variable interpolation RCE

2141308 - It appears that the egg is downloaded every time

2150069 - With every edit of an exising webhook, the value in password field disappears in Satellite 6.10/6.11/6.12

2150108 - Satellite-clone not working if ansible-core 2.13 is installed

2150111 - Insights recommendation sync failing in Satelliite

2150112 - random failure of Inventory Sync

2150114 - insights-client --register --verbose throwing error UnicodeEncodeError: 'ascii' codec can't encode character '\ufffd' in position 94: ordinal not in range(128)

2150118 - Error "no certificate or crl found" when using a http proxy as "Default Http Proxy" for content syncing or manifest operations in Satellite 6.12

2150119 - Content view publish fails when the content view and repository both have a large name with : Error message: the server returns an error HTTP status code: 500

2150120 - Upgrade to Satellite 6.12 may fail to apply RemoveDrpmFromIgnorableContent migration if erratum is also a ignorable content type for any repo

2150123 - Inspecting an image with skopeo no longer works on Capsules

2150125 - Syncable exports across partitions causes ' Invalid cross-device link' error